import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

/**
 * The ScoreBoard is used to display results on the screen. It can display some
 * text and several numbers.
 * 
 * @author M Kolling (modified by Ulf Erben)
 * @version 1.0
 */
public class GameOverPage extends Actor
{
    public static final float FONT_SIZE = 32.0f;
    
    private int score;
    private int score1;

    /**
     * Create a score board for the final result.
     */
    public GameOverPage(int score, int score1)
    {
        this.score = score;
        this.score1 = score1;
    }
    
    protected void addedToWorld(World world) {
        makeImage("Game Over", "Score: ", score, score1);
    }

    /**
     * Make the score board image.
     */
    private void makeImage(String title, String prefix, int score, int score1)
    {
        int WIDTH = (getWorld().getWidth()+2) * getWorld().getCellSize();
        int HEIGHT = WIDTH;
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(0, 0, 0, 160));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, WIDTH / 2 - 120, HEIGHT / 3);
        image.drawString("Score: " + score, 50, 2 * HEIGHT / 3);
        image.drawString("Score: " + score1, 330, 2 * HEIGHT / 3);
        setImage(image);
    }
}
